---

- name: Create needed directories
  file: path={{ vault_agent_root_dir }}/{{ item.dir }} state=directory owner={{ item.owner | default(omit) }} group={{ item.group | default(omit) }} mode={{ item.mode | default(omit) }}
  loop:
    - dir: /
      owner: root
      group: root
      mode: 755
    - dir: etc
      mode: 700
    - dir: auth
      mode: 700
    - dir: bin
    - dir: templates/nomad
    - dir: templates/consul
  tags: vault,consul,nomad

